# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  set C_CLAMP_Y [ipgui::add_param $IPINST -name "C_CLAMP_Y" -parent ${Page_0} -widget checkBox]
  set_property tooltip {Clamp Y from range 0-255 to 1-254} ${C_CLAMP_Y}
  set C_CLAMP_CRCB [ipgui::add_param $IPINST -name "C_CLAMP_CRCB" -parent ${Page_0} -widget checkBox]
  set_property tooltip {Clamp CrCb from range 0-255 to 1-254} ${C_CLAMP_CRCB}
  ipgui::add_param $IPINST -name "C_DATA_WIDTH" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_CLAMP_CRCB { PARAM_VALUE.C_CLAMP_CRCB } {
	# Procedure called to update C_CLAMP_CRCB when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_CLAMP_CRCB { PARAM_VALUE.C_CLAMP_CRCB } {
	# Procedure called to validate C_CLAMP_CRCB
	return true
}

proc update_PARAM_VALUE.C_CLAMP_Y { PARAM_VALUE.C_CLAMP_Y } {
	# Procedure called to update C_CLAMP_Y when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_CLAMP_Y { PARAM_VALUE.C_CLAMP_Y } {
	# Procedure called to validate C_CLAMP_Y
	return true
}

proc update_PARAM_VALUE.C_DATA_WIDTH { PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to update C_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_DATA_WIDTH { PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to validate C_DATA_WIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_DATA_WIDTH { MODELPARAM_VALUE.C_DATA_WIDTH PARAM_VALUE.C_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_DATA_WIDTH}] ${MODELPARAM_VALUE.C_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_CLAMP_Y { MODELPARAM_VALUE.C_CLAMP_Y PARAM_VALUE.C_CLAMP_Y } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLAMP_Y}] ${MODELPARAM_VALUE.C_CLAMP_Y}
}

proc update_MODELPARAM_VALUE.C_CLAMP_CRCB { MODELPARAM_VALUE.C_CLAMP_CRCB PARAM_VALUE.C_CLAMP_CRCB } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLAMP_CRCB}] ${MODELPARAM_VALUE.C_CLAMP_CRCB}
}

